## libclass-pluggable-perl 0.022

=== debian/changelog ===
libclass-pluggable-perl (0.022-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007520)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 11 Jul 2024 12:39:09 +0200

libclass-pluggable-perl (0.022-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Removal of obsolete debhelper compat 5 and 6 in bookworm":
    Bump to 7 in debian/{compat,control}.
    (Closes: #965629)
  * Fix "missing required debian/rules targets build-arch and/or build-
    indep": Add missing targets.
    (Closes: #998922)

 -- gregor herrmann <gregoa@debian.org>  Mon, 27 Dec 2021 00:02:46 +0100

libclass-pluggable-perl (0.022-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 17:16:59 +0100

libclass-pluggable-perl (0.022-2) unstable; urgency=medium

  * Correctly specify my email address in the control & changelog files.

 -- Sarah Connor <sarah.connor.uk@googlemail.com>  Wed, 26 Mar 2008 09:55:21 +0000

libclass-pluggable-perl (0.022-1) unstable; urgency=low

  * Initial Release.  (Closes: #471567)

 -- Sarah Connor <sarah.connor.uk@googlemail.com>  Tue, 18 Mar 2008 23:25:45 +0000
