=== debian/control ===
Source: libclass-pluggable-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 7.0.0)
Build-Depends-Indep: perl (>= 5.8.8-12)
Maintainer:  Sarah Connor <sarah.connor.uk@googlemail.com>
Standards-Version: 3.7.3
Homepage: http://search.cpan.org/dist/Class-Pluggable/

Package: libclass-pluggable-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, 
Description:  Simple pluggable class.
 This class makes your class (sub class of Class::Pluggable) pluggable.
 In this documentation, the word "pluggable" has two meanings.
 .
 One is just simply adding new method to your pluggable classs from 
 other plugin modules. So, after you plugged some modules to your class,
 you can use there method exactly same as your own object method.
 .
 You can see this kind of plugin mechanism in CGI::Application and
 CGI::Application::Plugin::Session.
